{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.05";
    nixos-generators = {
      url = "github:nix-community/nixos-generators";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
  };

  outputs =
    {
      nixpkgs,
      nixos-generators,
      nixos-hardware,
      ...
    }:
    {
      packages.aarch64-linux.installer-sd-image = nixos-generators.nixosGenerate {
        system = "aarch64-linux";
        format = "sd-aarch64-installer";
        modules = [
          ./modules/hardware-configuration.nix
          ./modules/system.nix
          nixos-hardware.nixosModules.raspberry-pi-4
          ./modules/base.nix
          ./modules/networking.nix
          ./modules/users.nix
        ];
      };
    };
}
